Package org.zkoss.stateless.sul

## Enum IMeshElement.PagingPosition

- java.lang.Object
- - java.lang.Enum<IMeshElement.PagingPosition>
  - - org.zkoss.stateless.sul.IMeshElement.PagingPosition

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IMeshElement.PagingPosition>`
  Enclosing interface:
    IMeshElement<I extends IMeshElement>

      public static enum IMeshElement.PagingPosition
      extends java.lang.Enum<IMeshElement.PagingPosition>

  Specifies the paging position when `"paging"` mold is used.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `BOTH` | Enables both `TOP` and `BOTTOM` positions to display the paging control.
    `BOTTOM` | Enables only bottom position to display the paging control.
    `TOP` | Enables only top position to display the paging control.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IMeshElement.PagingPosition` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IMeshElement.PagingPosition[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BOTH

          public static final IMeshElement.PagingPosition BOTH

      Enables both `TOP` and `BOTTOM` positions to display the paging control.

    - #### TOP

          public static final IMeshElement.PagingPosition TOP

      Enables only top position to display the paging control.

    - #### BOTTOM

          public static final IMeshElement.PagingPosition BOTTOM

      Enables only bottom position to display the paging control.

  - ### Method Detail

    - #### values

          public static IMeshElement.PagingPosition[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IMeshElement.PagingPosition c : IMeshElement.PagingPosition.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IMeshElement.PagingPosition valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null